\newcommand{\intRange}[2]{\qK{#1, \ldots, #2}}
\newcommand{\overbar}[1]{\mkern 1.5mu\overline{\mkern-1.5mu#1\mkern-1.5mu}\mkern 1.5mu}

% constants
\newcommand{\startStrength}{2}

% symbols

\newcommand{\isPresentMat}{\mathbf{A}}
\newcommand{\directionMat}{\mathbf{D}} % attack direction
\newcommand{\connectivityMat}{\mathbf{W}} % 
\newcommand{\reinforcementMat}{\mathbf{R}}
\newcommand{\valueMat}{\mathbf{V}}

\newcommand{\attackPhase}{A}
\newcommand{\cols}{C}
\newcommand{\lookBack}{H}
\newcommand{\numberOfPlayers}{N}
\newcommand{\rows}{R}
\newcommand{\reinforcementPhase}{V}
\newcommand{\cellSet}{Z}

\newcommand{\attackCell}{a}
\newcommand{\defenderCell}{d}
\newcommand{\playerId}{p}
\newcommand{\reward}{r}
\newcommand{\state}{s}
\newcommand{\timePoint}{t}
\newcommand{\mvalue}{v}
\newcommand{\direction}{w} % w weil d schon belegt ist, w soll für way stehen
\newcommand{\cell}{z}

\newcommand{\actionSet}{\mathbb{A}}
\newcommand{\B}{\mathbb{B}} % {0,1}
\newcommand{\V}{\mathbb{V}} 
\newcommand{\directionSet}{\mathbb{W}}

\newcommand{\policy}{\mathrm{p}}
\newcommand{\policyAttack}{\policy_a}
\newcommand{\policyReinforcement}{\policy_r}

\newcommand{\passAttack}{\sigma_a}
\newcommand{\passReinforcement}{\sigma_r}


\DeclareMathOperator\strInt{str}
\newcommand{\strength}[1]{\strInt\rK{#1}}
\newcommand{\strAfterAttack}[1]{\overbar{\strInt}\rK{#1}}

\DeclareMathOperator\ownerInt{owner}
\newcommand{\owner}[1]{\ownerInt\rK{#1}}

\newcommand{\playerSet}{\intRange{0}{3}}
\newcommand{\playerStrSet}{\intRange{1}{9}}

\newcommand{\strSet}{\intRange{0}{9}}

\newcommand{\activeP}{\mathcal{A}}
\newcommand{\neuralId}{\mathcal{N}}
\newcommand{\playerIdSet}{\mathcal{P}}
\newcommand{\reinforcementPoints}{\mathcal{R}}
\newcommand{\stateSet}{\mathcal{S}}

\newcommand{\tower}{\mathrm{T}}
\newcommand{\valueHead}{\mathrm{V}}
\newcommand{\attackHead}{\mathrm{A}}
\newcommand{\reinforcementHead}{\mathrm{R}}
\newcommand{\convBlock}{\mathrm{C}}
\newcommand{\resBlock}{\mathrm{I}}

